0.99.0: doesn't work on Ubuntu 20.04 with QT_QPA_PLATFORMTHEME=gtk2

*** Please report new bugs here! ***

Moderators: helmut, XnTriq, xnview, Dreamer

andylinpersonal
Posts: 2
Joined: Thu Sep 16, 2021 2:12 pm

0.99.0: doesn't work on Ubuntu 20.04 with QT_QPA_PLATFORMTHEME=gtk2

Post by andylinpersonal »

XnView: MP 0.99.0 - Linux Appimage/tgz 64bit
OS: Linux - 64bit (Ubuntu 20.04.2 LTS)
Package causes this problem:
(comes from system repo, not changed)
qt5-style-plugin-gtk2/focal,focal 5.0.0+git23.g335dbec-3ubuntu4 all

XnView MP fails to start on Ubuntu 20.04.2 LTS with QT_QPA_PLATFORMTHEME=gtk2.
Downloaded AppImage, chmod +x to make it executable. Running
Downloaded tgz (x64), extract and run ./xnview.sh

Effect: Program fails to start.

To reproduce:
1. Download AppImage and tgz (x64)
2. Make AppImage executable with chmod +x
3. Run AppImage or xnview.sh in Terminal
Actual behaviour (bug): XnView doesn't start, shows following error messages:

Code: Select all

Cannot mix incompatible Qt library (5.15.1) with this library (5.15.6)
Aborted (core dumped)
Workaround:
Must run xnviewmp with cleared QT_QPA_PLATFORMTHEME.
But it will be inconsistent with system theme. (dark mode, etc.)

Expected behaviour: Program starts without errors and runs with consistent native look-and-feel.
Last edited by andylinpersonal on Thu Sep 16, 2021 6:12 pm, edited 1 time in total.
djcj
Posts: 60
Joined: Wed Jan 08, 2014 3:37 pm

Re: 0.99.0: doesn't work on Ubuntu 20.04 with QT_QPA_PLATFORMTHEME=gtk2

Post by djcj »

I can confirm this issue and that the workaround works:

Code: Select all

djcj:~$ ./Applications/XnView_MP.glibc2.18-x86_64_3ea1ac568c69f660e6634fba428ff0db.AppImage 
Failed to enable unit: Unit file appimagelauncherd.service does not exist.
Failed to start appimagelauncherd.service: Unit appimagelauncherd.service not found.
Gtk-Message: 18:07:24.310: Failed to load module "atk-bridge"
Cannot mix incompatible Qt library (5.15.1) with this library (5.15.6)
Aborted (core dumped)
Runnig it like this works:

Code: Select all

djcj:~$ QT_QPA_PLATFORMTHEME="" ./Applications/XnView_MP.glibc2.18-x86_64_3ea1ac568c69f660e6634fba428ff0db.AppImage
User avatar
xnview
Author of XnView
Posts: 37889
Joined: Mon Oct 13, 2003 7:31 am
Location: France

Re: 0.99.0: doesn't work on Ubuntu 20.04 with QT_QPA_PLATFORMTHEME=gtk2

Post by xnview »

ok, i found the problem, next 0.99.1 will be fixed
Pierre.
User avatar
xnview
Author of XnView
Posts: 37889
Joined: Mon Oct 13, 2003 7:31 am
Location: France

Re: 0.99.0: doesn't work on Ubuntu 20.04 with QT_QPA_PLATFORMTHEME=gtk2

Post by xnview »

do you have tried 0.99.1?
Pierre.